; o instrumento 227 cria sons de Shepard com freqncia central (f),
; largura da curva de amplitude (B) e razo harmnica (R) entre os
; parciais controlados dinamicamente. f1 contm uma senoide,
; f2 contm uma envoltria dinmica e f3 contm uma janela de Hanning

	instr	227
iamp	=	p4
itabfr	=	p5
itabfc	=	p6
itabR	=	p7
itabB	=	p8
kfr	oscil 1, 1/p3, itabfr
kfc	oscil 1, 1/p3, itabfc
kB	oscil 1, 1/p3, itabB
kR	oscil 1, 1/p3, itabR
kamp1	table 0.5*(1+log(kfr/(kfc*kR*kR*kR))/log(kB)), 3, 1
a1	oscil kamp1, kfr/(kR*kR*kR), 1
kamp2	table 0.5*(1+log(kfr/(kfc*kR*kR))/log(kB)), 3, 1
a2	oscil kamp2, kfr/(kR*kR), 1
kamp3	table 0.5*(1+log(kfr/(kfc*kR))/log(kB)), 3, 1
a3	oscil kamp3, kfr/kR, 1
kamp4	table 0.5*(1+log(kfr/kfc)/log(kB)), 3, 1
a4	oscil kamp4, kfr, 1
kamp5	table 0.5*(1+log(kfr*kR/kfc)/log(kB)), 3, 1
a5	oscil kamp5, kfr*kR, 1
kamp6	table 0.5*(1+log(kfr*kR*kR/kfc)/log(kB)), 3, 1
a6	oscil kamp6, kfr*(kR*kR), 1
kamp7	table 0.5*(1+log(kfr*kR*kR*kR/kfc)/log(kB)), 3, 1
a7	oscil kamp7, kfr*(kR*kR*kR), 1
kenv	oscil iamp, 1/p3, 2
	out   kenv*(a1+a2+a3+a4+a5+a6+a7)/(kamp1+kamp2+kamp3+kamp4+kamp5+kamp6+kamp7)
	endin
